<div>
  <h2 id="page-heading" data-cy="SkSubtitusiHeading">
    <span>Sk Subtitusis</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-sk-subtitusi"
        [routerLink]="['/sk-subtitusi/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Sk Subtitusi</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (skSubtitusis?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Sk Subtitusis found</span>
    </div>
  }

  @if (skSubtitusis && skSubtitusis.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nomor">
              <div class="d-flex">
                <span>Nomor</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tanggal">
              <div class="d-flex">
                <span>Tanggal</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="recordStatus">
              <div class="d-flex">
                <span>Record Status</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateBy">
              <div class="d-flex">
                <span>Update By</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="updateOn">
              <div class="d-flex">
                <span>Update On</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="fileNameSk">
              <div class="d-flex">
                <span>File Name Sk</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="fileNameLamp">
              <div class="d-flex">
                <span>File Name Lamp</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="statusSign">
              <div class="d-flex">
                <span>Status Sign</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (skSubtitusi of skSubtitusis; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/sk-subtitusi', skSubtitusi.id, 'view']">{{ skSubtitusi.id }}</a>
              </td>
              <td>{{ skSubtitusi.nomor }}</td>
              <td>{{ skSubtitusi.tanggal | formatMediumDate }}</td>
              <td>{{ skSubtitusi.recordStatus }}</td>
              <td>{{ skSubtitusi.updateBy }}</td>
              <td>{{ skSubtitusi.updateOn | formatMediumDatetime }}</td>
              <td>{{ skSubtitusi.fileNameSk }}</td>
              <td>{{ skSubtitusi.fileNameLamp }}</td>
              <td>{{ skSubtitusi.statusSign }}</td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/sk-subtitusi', skSubtitusi.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/sk-subtitusi', skSubtitusi.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(skSubtitusi)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (skSubtitusis && skSubtitusis.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
